## org.apache.mahout.math.random
Class Normal

    java.lang.Object
      org.apache.mahout.math.function.DoubleFunction
          org.apache.mahout.math.random.AbstractSamplerFunction
              org.apache.mahout.math.random.Normal

All Implemented Interfaces:
  Sampler<Double>

    public final class Normal

extends AbstractSamplerFunction

Constructor Summary
`Normal()`
`Normal(double mean, double sd)`

Method Summary
`Double` `sample()`

Methods inherited from class org.apache.mahout.math.random.AbstractSamplerFunction
`apply`

Methods inherited from class org.apache.mahout.math.function.DoubleFunction
`isDensifying`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Normal

    public Normal()

### Normal

    public Normal(double mean,
                  double sd)

Method Detail

### sample

    public Double sample()

  Specified by:
    `sample` in interface `Sampler<Double>`
  Specified by:
    `sample` in class `AbstractSamplerFunction`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.